%global pypi_name cligj
Name:           python-%{pypi_name}
Version:        0.4.0
Release:        3%{?dist}
Summary:        Click params for GeoJSON CLI
License:        MIT
URL:            https://github.com/mapbox/cligj
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/mapbox/%{pypi_name}/%{version}/LICENSE
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python2-click >= 3.0

%description
Common arguments and options for GeoJSON processing commands, using Click.
Python 2 version.


%package -n     python2-%{pypi_name}
Summary:        %{summary} (Python 2)
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:       python2-click >= 3.0

%description -n python2-%{pypi_name}
Common arguments and options for GeoJSON processing commands, using Click.
Python 3 version.


%package -n     python3-%{pypi_name}
Summary:        %{summary} (Python 3)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-click >= 3.0

%description -n python3-%{pypi_name}
Common arguments and options for GeoJSON processing commands, using Click.
Python 3 version.


%prep
%setup -q -n %{pypi_name}-%{version}
cp %{SOURCE1} .

# README is executable
chmod -x README.rst


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Dec 01 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.0-3
- Fix ambiguous Python 2 dependencies declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 13 2017 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-1
- Updated to 0.4.0
- Updated to the new naming scheme

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 27 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-1
- Update to latest version, required by python-Fiona

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 19 2015 Miro Hrončok <mhroncok@redhat.com> - 0.1.0-1
- Initial package.
